#hero {
    margin: 20px;
    margin-top: 5em;
    max-height: 96vh;
    height: fit-content;
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    background: transparent;

    & .top__borders .border__left__top {
        display: flex;
        justify-content: space-evenly;
        
        & p{
            font-size: 24px;
            margin: 0;
            font-weight: bold;
            color: var(--dark-blue-color);
        }
    }
    & .main__box {
        display: flex;
        flex-direction: column;
        
        & .animation__dots {
            display: flex;
            justify-content: center;
            margin: 20px 0;
            
            & .dots {
                width: fit-content;
                display: grid;
                grid-template-columns: 1fr 1fr 1fr 1fr;
                grid-template-rows: 1fr 1fr 1fr 1fr;
                gap: 12px;
                
                & .light .dot__middle {
                    background: var(--medium-blue-color);
                }
                
                & .dark .dot__middle {
                    background: var(--dark-blue-color);
                }
                
                & .dot {
                    background-color: var(--black-color);
                    border-radius: 12px;
                    height: 60px;
                    width: 60px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
    
                    
                    & .dot__middle {
                        width: 56px;
                        height: 56px;
                        border-radius: 11px;
                        
                        &.item-1 {
                            animation: middle_movement 1200ms ease-in-out 0ms infinite;
                        }
                        
                        &.item-2,
                        &.item-5 {
                            animation: middle_movement 1200ms ease-in-out 170ms infinite;
                        }
                        
                        &.item-3,
                        &.item-6,
                        &.item-9 {
                            animation: middle_movement 1200ms ease-in-out 340ms infinite;
                        }
    
                        &.item-4,
                        &.item-7,
                        &.item-10,
                        &.item-13 {
                            animation: middle_movement 1200ms ease-in-out 320ms infinite;
                        }
                        
                        &.item-8,
                        &.item-11,
                        &.item-14 {
                            animation: middle_movement 1200ms ease-in-out 480ms infinite;
                        }
                        
                        &.item-12,
                        &.item-15 {
                            animation: middle_movement 1200ms ease-in-out 640ms infinite;
                        }
                        
                        &.item-16 {
                            animation: middle_movement 1200ms ease-in-out 800ms infinite;
                        }
                    }
                }
            }
        }
        & .left__items{
            
            & .titles {
                display: flex;
                flex-direction: column;
                justify-content: space-evenly;
                margin: 1em 0;
                text-align: center;
                
                & h1 {
                    font-size: 120px;
                    color: var(--black-color);
                }

                & h2 {
                    font-size: 32px;
                    color: var(--dark-blue-color);
                    font-weight: 800;
                    transform: translateY(-15px);
                }
            }

            & .action__btn__box{
                margin: 0 20px;

                & a {
                    padding: 10px;
                    font-size: 20px;
                    border-radius: 12px;
                    margin: 5px 0;

                    &.btn-info {
                        background-color: var(--dark-blue-color);
                        border: none;
                        color: var(--white-color);

                        &:hover,
                        &:hover {
                            background-color: var(--medium-blue-color);
                            color: var(--black-color);
                        }
                    }
                    
                    &.btn-light {
                        border: 2px solid var(--dark-blue-color);
                        background-color: transparent;
                        
                        &:hover,
                        &:hover {
                            background-color: var(--light-blue-color);
                            color: var(--black-color);
                        }
                    }
                }
            }
        }
    }
}

@keyframes middle_movement {
    60% {
        transform: translate3d(-8px, -8px, 0);
    }
    100% {
        transform: translate3d(0, 0, 0);
    }
}

@media screen and (min-width: 576px) {
    #hero {
        min-height: 60vh;
        height: fit-content;

        & .top__borders{
            display: grid;
            grid-template-columns: 1fr 1fr;
            height: 50px;
            
            & .back__border__top{
                width: 100%;
                height: 100%;
                background: linear-gradient(90deg, var(--medium-blue-color) 0%, var(--white-color) 240%);

                & .border__left__top {
                    background-color: var(--white-color);
                    height: 100%;
                    border-radius: 0 0 25px 0;

                    & p {
                        font-size: 24px;
                        padding-top: 5px;
                        margin: 0 10px
                    }
                }
            }

            & .border__right__top {
                background: linear-gradient(90deg, var(--medium-blue-color) -100%, var(--white-color) 140%);
                border-radius: 25px 40px 0 0;
            }
        }

        & .main__box{
            background: linear-gradient(90deg, var(--medium-blue-color) 0%, var(--white-color) 120%);
            border-radius: 40px 0 40px 40px;
            height: 100%;
            display: flex;
            justify-content: center;

            & .left__items {
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: space-evenly;

                & .titles  h1 {
                    font-size: 190px;
                    font-weight: 600;
                }

                & .titles h2{
                    margin-top: -40px;
                    font-size: 48px;
                }

                & .animation__dots {
                    & .dots {
                        gap: 15px;

                        & .dot {
                            width: 80px;
                            height: 80px;
                            
                            & .dot__middle {
                                width: 76px;
                                height: 76px;
                            }
                        }
                    }

                }

                & .action__btn__box {
                    margin: 20px;
                    justify-content: center;

                    & a{
                        padding: 10px 10px;
                        margin: 5px;
                        font-size: 24px;
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 768px) {
    #hero {
        margin-top: 5em;
        height: fit-content;
        min-height: 0;

        & .main__box{
            flex-direction: row;
            align-items: end;
            justify-content: space-evenly;
            padding-bottom: 2em;
            gap: 1em;

            & .left__items {
                justify-content: space-between;
                align-items: center;

                & .animation__dots {

                    & .dots .dot {
                        width: 50px;
                        height: 50px;
                    }
                    & .dots .dot .dot__middle {
                        width: 46px;
                        height: 46px;
                    }
                }

                & .titles {

                    & h1 {
                        font-size: 160px;
                    }

                    & h2 {
                        font-size: 40px;
                    }
                }

                & .action__btn__box {
                    margin: 0;
                    justify-content: space-evenly;
                    width: 150%;

                    & a {
                        font-size: 16px;
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 992px) {
    #hero {
        & .main__box{
            padding: 2em 0 3.5em 0;

            & .left__items{
                align-items: flex-start;

                & .titles {

                    & h1{
                        font-size: 200px;
                        color: var(--dark-blue-color);
                        text-align: start;
                    }

                    & h2{
                        text-align: start;
                        margin-left: 10px;
                        font-size: 52px;
                        
                    }
                }

                & .action__btn__box{
                    width: 100%;
                    justify-content: space-between;
                }
            }

            & .right__items {

                & .animation__dots{
                    margin: 0;
                    
                    & .dots {
                        gap: 20px;

                        
                        & .dot{
                            width: 70px;
                            height: 70px;
                        }
                        
                        & .dot .dot__middle{
                            width: 66px;
                            height: 66px;
                        }
                    }
                }
            }
        }
    }
}
@media screen and (min-width: 1200px) {
    #hero {

        & .main__box{
            height: 55vh;
            min-height: 550px;
            align-items: center;
            justify-content: space-between;
            padding: 0 100px;

            & .left__items{
                justify-content: center;

                & .titles{
                    margin-top: -2em;

                    & h1 {
                        font-size: 220px;
                    }

                    & h2 {
                        font-size: 56px;
                        margin-top: -1em;
                    }
                }

                & .action__btn__box{
                    width: 110%;

                    & a {
                        font-size: 22px;
                    }
                }
            }

            & .right__items{
                & .animation__dots{

                    & .dots{

                        & .dot {
                            width: 86px;
                            height: 86px;
                        }
                        & .dot .dot__middle {
                            width: 82px;
                            height: 82px;
                        }
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 1400px) {
    #hero {
        
        & .top__borders{
            height: 60px;

            & .back__border__top .border__left__top p {
                font-size: 32px;
            }
        }

        & .main__box{
            height: calc(100vh - 8em - 60px);

            & .left__items{

                & .titles {
                    margin-bottom: 2em;
                    
                    & h1{
                        font-size: 300px;
                        font-weight: 800;
                    }

                    & h2 {
                        font-size: 72px;
                    }
                }

                & .action__btn__box {
                    width: 100%;

                    & a {
                        font-size: 24px;
                    }
                }
            }

            & .right__items {

                & .animation__dots .dots {

                    & .dot {
                        width: 100px;
                        height: 100px;
                        
                        & .dot__middle {
                            width: 92px;
                            height: 92px;
                            
                            animation-name: middle_movement_large_screen;
                        }
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 1700px) {
    #hero .main__box {
        & .left__items {
            & .titles{
                & h1 {
                    font-size: 360px;
                }

                & h2 {
                    font-size: 96px;
                }
            }

            & .action__btn__box {
                width: 100%;
            }
        }
        
        & .right__items .animation__dots .dots .dot {
            width: 120px;
            height: 120px;
            
            & .dot__middle {
                width: 116px;
                height: 116px;
            }
        }
    }
}

@keyframes middle_movement_large_screen {
    60% {
        transform: translate3d(-16px, -16px, 0);
    }

    100% {
        transform: translate3d(0, 0, 0);
    }
}